<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Excalibur</Series>
  <Number>25</Number>
  <Web>https://www.comixology.com/Excalibur-2019-25/digital-comic/962579</Web>
  <Volume>2019</Volume>
  <Summary>THE ONE TRUE KING RETURNS! And he’s here to exterminate the witchbreed! King Arthur and his army turn Otherworld into a battlefield—again. Backed into a corner, Betsy Braddock makes a desperate choice that will reshape the realm—and mutantkind—forever. The fate of the Starlight Citadel is at stake, and if the Citadel falls…so falls all reality.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB962579], [ASINB09CR3TZ5W], [RELDATE:2021-11-10]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
